| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Protected Attributes | List of all members
globjects::LocationIdentity Class Reference

`#include <globjects/include/globjects/LocationIdentity.h>`

## Public Member Functions
| LocationIdentity ()
| LocationIdentity (gl::GLint location)
| LocationIdentity (const std::string &name)
bool | isLocation () const
bool | isName () const
gl::GLint | location () const
const std::string & | name () const
bool | operator== (const LocationIdentity &identity) const
bool | operator!= (const LocationIdentity &identity) const
bool | operator< (const LocationIdentity &identity) const
std::size_t | hash () const

## Protected Attributes
bool | m_invalid
gl::GLint | m_location
std::string | m_name
bool | m_hasName

## Constructor & Destructor Documentation

## ◆ LocationIdentity() [1/3]

globjects::LocationIdentity::LocationIdentity | ( |  | ) |

## ◆ LocationIdentity() [2/3]

globjects::LocationIdentity::LocationIdentity | ( | gl::GLint | location | ) |

## ◆ LocationIdentity() [3/3]

globjects::LocationIdentity::LocationIdentity | ( | const std::string & | name | ) |

## Member Function Documentation

## ◆ isLocation()

bool globjects::LocationIdentity::isLocation | ( |  | ) | const

## ◆ isName()

bool globjects::LocationIdentity::isName | ( |  | ) | const

## ◆ location()

gl::GLint globjects::LocationIdentity::location | ( |  | ) | const

## ◆ name()

const std::string& globjects::LocationIdentity::name | ( |  | ) | const

## ◆ operator==()

bool globjects::LocationIdentity::operator== | ( | const LocationIdentity & | identity | ) | const

## ◆ operator!=()

bool globjects::LocationIdentity::operator!= | ( | const LocationIdentity & | identity | ) | const

## ◆ operator<()

bool globjects::LocationIdentity::operator< | ( | const LocationIdentity & | identity | ) | const

## ◆ hash()

std::size_t globjects::LocationIdentity::hash | ( |  | ) | const

Referenced by std::hash< globjects::LocationIdentity >::operator()().

## Member Data Documentation

## ◆ m_invalid

bool globjects::LocationIdentity::m_invalid
| protected

## ◆ m_location

gl::GLint globjects::LocationIdentity::m_location
| protected

## ◆ m_name

std::string globjects::LocationIdentity::m_name
| protected

## ◆ m_hasName

bool globjects::LocationIdentity::m_hasName
| protected

The documentation for this class was generated from the following file:

- LocationIdentity.h